Bug 1073698 - [abrt] xsane: sane_dll_close(): xsane killed by SIGSEGV
Summary: [abrt] xsane: sane_dll_close(): xsane killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xsane
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a7e585eb853d9bedd6c3211cc12...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-07 01:00 UTC by Arnaud Lacombe
Modified: 2014-04-15 15:50 UTC (History)
2 users (show)

Fixed In Version: xsane-0.999-12.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 15:32:05 UTC


Attachments (Terms of Use)
File: backtrace (27.55 KB, text/plain)
2014-03-07 01:00 UTC, Arnaud Lacombe
no flags Details
File: cgroup (154 bytes, text/plain)
2014-03-07 01:00 UTC, Arnaud Lacombe
no flags Details
File: core_backtrace (18.72 KB, text/plain)
2014-03-07 01:00 UTC, Arnaud Lacombe
no flags Details
File: dso_list (7.72 KB, text/plain)
2014-03-07 01:00 UTC, Arnaud Lacombe
no flags Details
File: environ (3.47 KB, text/plain)
2014-03-07 01:00 UTC, Arnaud Lacombe
no flags Details
File: exploitable (81 bytes, text/plain)
2014-03-07 01:00 UTC, Arnaud Lacombe
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-07 01:01 UTC, Arnaud Lacombe
no flags Details
File: maps (43.64 KB, text/plain)
2014-03-07 01:01 UTC, Arnaud Lacombe
no flags Details
File: open_fds (599 bytes, text/plain)
2014-03-07 01:01 UTC, Arnaud Lacombe
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-03-07 01:01 UTC, Arnaud Lacombe
no flags Details
File: var_log_messages (303 bytes, text/plain)
2014-03-07 01:01 UTC, Arnaud Lacombe
no flags Details

Description Arnaud Lacombe 2014-03-07 01:00:48 UTC
Version-Release number of selected component:
xsane-0.999-6.fc19

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        xsane
crash_function: sane_dll_close
executable:     /usr/bin/xsane
kernel:         3.13.5-101.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #1 sane_dll_close at dll.c:1223
 #2 sane_close at dll-s.c:78
 #3 xsane_quit at ../../src/xsane.c:2388
 #4 xsane_quit_handler at ../../src/xsane.c:2303
 #6 poll at ../sysdeps/unix/syscall-template.S:81
 #8 linux_udev_event_thread_main at os/linux_udev.c:175

Comment 1 Arnaud Lacombe 2014-03-07 01:00:52 UTC
Created attachment 871713 [details]
File: backtrace

Comment 2 Arnaud Lacombe 2014-03-07 01:00:53 UTC
Created attachment 871714 [details]
File: cgroup

Comment 3 Arnaud Lacombe 2014-03-07 01:00:55 UTC
Created attachment 871715 [details]
File: core_backtrace

Comment 4 Arnaud Lacombe 2014-03-07 01:00:57 UTC
Created attachment 871716 [details]
File: dso_list

Comment 5 Arnaud Lacombe 2014-03-07 01:00:58 UTC
Created attachment 871717 [details]
File: environ

Comment 6 Arnaud Lacombe 2014-03-07 01:00:59 UTC
Created attachment 871718 [details]
File: exploitable

Comment 7 Arnaud Lacombe 2014-03-07 01:01:01 UTC
Created attachment 871719 [details]
File: limits

Comment 8 Arnaud Lacombe 2014-03-07 01:01:03 UTC
Created attachment 871720 [details]
File: maps

Comment 9 Arnaud Lacombe 2014-03-07 01:01:04 UTC
Created attachment 871721 [details]
File: open_fds

Comment 10 Arnaud Lacombe 2014-03-07 01:01:06 UTC
Created attachment 871722 [details]
File: proc_pid_status

Comment 11 Arnaud Lacombe 2014-03-07 01:01:08 UTC
Created attachment 871723 [details]
File: var_log_messages

Comment 12 Nils Philippsen 2014-03-17 10:18:23 UTC
I think the problem is that xsane does signal handling the wrong way, and the crash is a result of the signal handler being called for a second time while the first invocation is not yet done. I have a patch that fixes this, it basically splits the signal handler in two parts, the "top half" just writes a character into a pipe when a signal arrives, this gets picked up by the "bottom half" which is services through the normal event loop (and therefore may call non-reentrant functions and so forth).

Comment 13 Fedora Update System 2014-03-19 15:07:41 UTC
xsane-0.999-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xsane-0.999-10.fc20

Comment 14 Fedora Update System 2014-03-19 15:07:49 UTC
xsane-0.999-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xsane-0.999-10.fc19

Comment 15 Fedora Update System 2014-03-21 09:29:02 UTC
Package xsane-0.999-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xsane-0.999-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4128/xsane-0.999-10.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-04-15 15:32:05 UTC
xsane-0.999-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-04-15 15:50:23 UTC
xsane-0.999-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.